CAD Forum - tips, tricks, discussion and utilities for AutoCAD, Inventor, Revit and other Autodesk products [www.cadforum.cz] ARKANCE | CONTACT - CZ | SK | EN | DE
Over 1.092.000 registered users (EN+CZ). AutoCAD tips, Inventor tips, Revit tips. Try the new precise Engineering calculator. New AutoCAD 2026 commands and variables.
RSS channel - CAD tips RSS tips
RSS discussions

Discussion Discussion forum

?
CAD discussions, advices, exchange of experience

CAD Forum - Homepage CAD discussion forum - ask any CAD-related questions here, share your CAD knowledge on AutoCAD, Inventor, Revit and other Autodesk software with your peers from all over the world. To start a new topic, choose an appropriate forum.

Please abide by the rules of this forum.
This is a peer-to-peer forum. The forum doesn't replace the official direct technical support provided by ARKANCE for its customers.
How to post questions: register or login, go to the specific forum and click the NEW TOPIC button.
  FAQ FAQ  Forum Search   Events   Register Register  Login Login

Topic ClosedThe title underline alignment text.

 Post Reply Post Reply
Author
lijinsong View Drop Down
Groupie
Groupie


Joined: 06.Dec.2014
Location: China
Using: 2014
Status: Offline
Points: 27
Direct Link To This Post Topic: The title underline alignment text.
    Posted: 07.Dec.2014 at 09:18
(defun c:la ( )

   (vl-load-com)

   (setq  stn    (ssget)  

          stnl   (sslength stn) 

          pntlst nil

          n      0

   )

   (repeat stnl 

      (setq stnn (ssname stn n) 

            stnt (cdr(assoc 0 (entget stnn)))

      )

      (if (= stnt "TEXT") (progn

           (setq stnh (cdr(assoc 40 (entget stnn)))) 

           (setq stno (vlax-ename->vla-object stnn)) 

           (vla-getboundingbox stno 'minpnt 'maxpnt)

           (setq minpnt (vlax-safearray->list minpnt) 

                 maxpnt (vlax-safearray->list maxpnt)

           )

      ))

      (setq n(1+  n) )

   )

   (setq n 0)

   (repeat stnl

       (setq stnn (ssname stn n) 

             stnt (cdr(assoc 0 (entget stnn)))

       )

       (if (= stnt "LINE") (progn

           (setq ;stnc (cdr(assoc 62 (entget stnn))) 

                 stny (cdr(assoc 8 (entget stnn)))

           )

           (setq stno (vlax-ename->vla-object stnn)) 

           (vla-getboundingbox stno 'minp 'maxp)

          

           (setq minp (vlax-safearray->list minp) 

                 maxp (vlax-safearray->list maxp)

                 

                 minp(list(car minpnt)(cadr minp))

                 maxp(list(car maxpnt)(cadr minp))

                 

           ) 

           (setq pntlst(cons (list minp maxp stnn) pntlst))

       ))

       (setq n(1+ n))

   )

   (foreach pnt pntlst

       (entmake 

                   (list     

                             (cons 0 "LINE")

    (cons 10 (car pnt))

    (cons 11 (cadr pnt))

    (cons 62 7)

                             (cons 8 stny)

  )

      )

      (entdel (caddr pnt))

   )



Back to Top

Related CAD tips:


 Post Reply Post Reply
  Share Topic   

Forum Jump Forum Permissions View Drop Down



This page was generated in 0,063 seconds.